import request from '@/utils/request'

// 查询故障分析结果列表
export function listFaultAnalyzeResult(query) {
  return request({
    url: '/manage/faultAnalyzeResult/list',
    method: 'get',
    params: query
  })
}

// 查询故障分析结果详细
export function getFaultAnalyzeResult(id) {
  return request({
    url: '/manage/faultAnalyzeResult/' + id,
    method: 'get'
  })
}

// 新增故障分析结果
export function addFaultAnalyzeResult(data) {
  return request({
    url: '/manage/faultAnalyzeResult',
    method: 'post',
    data: data
  })
}

// 修改故障分析结果
export function updateFaultAnalyzeResult(data) {
  return request({
    url: '/manage/faultAnalyzeResult',
    method: 'put',
    data: data
  })
}

// 删除故障分析结果
export function delFaultAnalyzeResult(id) {
  return request({
    url: '/manage/faultAnalyzeResult/' + id,
    method: 'delete'
  })
}
